/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _APP_COMMANDS_USB_AUDIO_H    /* Guard against multiple inclusion */
#define _APP_COMMANDS_USB_AUDIO_H


/* ************************************************************************** */
/* ************************************************************************** */
/* Section: Included Files                                                    */
/* ************************************************************************** */
/* ************************************************************************** */

#include <stdint.h>
#include "usb/usb_audio_v2_0.h"
#include "usb/usb_device_audio_v2_0.h"

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif


    /* ************************************************************************** */
    /* ************************************************************************** */
    /* Section: Constants                                                         */
    /* ************************************************************************** */
    /* ************************************************************************** */

    // *****************************************************************************
    // *****************************************************************************
    // Section: Data Types
    // *****************************************************************************
    // *****************************************************************************

    // *****************************************************************************
    // *****************************************************************************
    // Section: Interface Functions
    // *****************************************************************************
    // *****************************************************************************
    
    /**
     * Application handler for USB device events
     */
//    void app_commands_usb_device_event_handler
//    (
//        USB_DEVICE_EVENT event, 
//        void* event_data, 
//        uintptr_t context
//    );

//    /**
//     * Audio event callback 
//     */
//    void app_commands_usb_audio_event_handler
//    (
//        USB_DEVICE_AUDIO_V2_INDEX index,
//        USB_DEVICE_AUDIO_V2_EVENT event,
//        void * data,
//        uintptr_t context
//    );

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _APP_COMMANDS_USB_AUDIO_H */

/* *****************************************************************************
 End of File
 */
